Bug 3334 - (int-93330) Chat participant context menu triggered by use of scroll bar
(int-93330)
: Chat participant context menu triggered by use of scroll bar
Status: RESOLVED WONTFIX
Product: Chat & Call & SMS
Messaging
: 4.1.2 (4.2008.36-5)
: N800 Maemo
: Low normal (vote)
: ---
Assigned To: rtcomm@maemo.org
: im-chat-bugs
:
:
: 5139
:
  Show dependency tree
 
Reported: 2008-06-28 18:15 UTC by Stephen Gadsby
Modified: 2010-03-11 16:00 UTC (History)
1 user (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Stephen Gadsby (reporter) maemo.org 2008-06-28 18:15:13 UTC
SOFTWARE VERSION:
4.2008.23-14
rtcom-beta-os2008 2.3
osso-accounts-plugin-idle 0.2-1.4
osso-accounts-plugin-salut 0.2-1.1
account-plugin-haze 0.1-1
libpurple0 2.2.2-0collabora1
telepathy-haze 0.1.4-0collabora1
telepathy-idle 0.1.2-1
telepathy-salut 0.2.0-1

STEPS TO REPRODUCE THE PROBLEM:
1. Join an IRC channel* with enough other participants that a scroll bar
appears for the left hand (participant list) part of the chat window. (#maemo
works well.)
2. Tap and hold on the scroll bar's arrow ends or gutter to scroll through the
list of chat room members.

EXPECTED OUTCOME:
The participant list scrolls, and that's all.

ACTUAL OUTCOME:
In addition to the participant list scrolling as it should, a context menu
appears, as if the tap and hold had been on a participant's name. Enlarging the
width of the participant list frame (to make it wider than the longest
participant's name) does not avoid the problem.

REPRODUCIBILITY:
always

EXTRA SOFTWARE INSTALLED:

OTHER COMMENTS:

* This bug may affect other, non-IRC chat windows, but I've not been able to
test that.

User-Agent:       Mozilla/5.0 (X11; U; Linux armv6l; en-US; rv:1.9a6pre)
Gecko/20080606 Firefox/3.0a1 Tablet browser 0.3.7
RX-34+RX-44+RX-48_DIABLO_4.2008.23-14
Comment 1 Andre Klapper maemo.org 2008-11-14 02:45:52 UTC
Same question as in bug 3053... Still an issue with rtcomm beta 2.4? :-)
Comment 2 Andre Klapper maemo.org 2008-11-22 03:07:44 UTC
Confirming in rtcomm beta 2.4
Comment 3 Andre Klapper maemo.org 2010-03-11 16:00:51 UTC
This is a WONTFIX for Maemo4.
If bug 5139 for Maemo5 gets solved in the future and if the problem reporterd
here will be still an issue in Maemo5 after fixing bug 5139, please update this
report (steps, Version field) and reopen it. Thanks.